Skip to main content
GET
/
instagram
/
profile
cURL
curl -X GET "https://apiv3.creatordb.app/instagram/profile?uniqueId=cristiano" \
  -H "Content-Type: application/json" \
  -H "api-key: <YOUR_API-KEY_HERE>"
{
  "data": {
    "uniqueId": "cristiano",
    "displayName": "Cristiano Ronaldo",
    "category": "Sportsperson",
    "avatarUrl": "https://instagram.ftpe7-4.fna.fbcdn.net/v/t51.2885-19/472007201_1142000150877579_994350541752907763_n.jpg?efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby4xMDgwLmMyIn0&_nc_ht=instagram.ftpe7-4.fna.fbcdn.net&_nc_cat=1&_nc_oc=Q6cZ2QHtqBG6PlzU9JR2BMFQSEMyTG3ySNQrxXzNbDtoV4jaiwe2ReIgdF8V5E0z2ehh8paPfEaFwBlyq2lB943nq7JF&_nc_ohc=OZ2xUG_Zs_MQ7kNvwFipRgY&_nc_gid=KqYk4e7CABSJyh4CSq_QKg&edm=ALGbJPMBAAAA&ccb=7-5&oh=00_Afq_AmZzttY3DR719tqBCbu2zD5NFHQFvobxIE_8cLmUdg&oe=696401DE&_nc_sid=7d3ac5",
    "bio": "SIUUUbscribe to my Youtube Channel!",
    "isBusinessAccount": false,
    "isVerified": true,
    "hasSponsors": false,
    "country": "SAU",
    "mainLanguage": "eng",
    "totalContents": 3995,
    "totalFollowers": 670646453,
    "totalFollowing": 625,
    "hashtags": [
      {
        "name": "#cr7fragances",
        "contentCount": 2
      },
      {
        "name": "#cr7energy",
        "contentCount": 2
      },
      {
        "name": "#cr7underwear",
        "contentCount": 1
      },
      {
        "name": "#foreverforward",
        "contentCount": 1
      },
      {
        "name": "#sponsored",
        "contentCount": 1
      },
      {
        "name": "#7heselection",
        "contentCount": 1
      }
    ],
    "niches": [
      "id_fitness_All",
      "id_lifestyle_All",
      "id_health_All",
      "id_wellness_All",
      "id_nutrition_All",
      "id_cr7_All",
      "id_cristianoronaldo_All",
      "id_longevity_All",
      "id_ramadankareem_All",
      "id_liveyourbestlife_All"
    ],
    "otherLinks": [
      {
        "title": "Perplexity",
        "url": "http://perplexity.ai/ronaldo"
      },
      {
        "title": "WHOOP",
        "url": "http://join.whoop.com/cr7"
      },
      {
        "title": "AVA",
        "url": "https://avacr7.com/en/"
      },
      {
        "title": "UR Cristiano",
        "url": "https://youtube.com/@cristiano"
      }
    ],
    "lastPublishTime": 1767707453000,
    "relatedCreators": [
      "erakulis",
      "cr7lifemuseum",
      "heidiklum",
      "rauwalejandro",
      "liltunechi",
      "theweeknd",
      "erakulis.pro",
      "bellhatria"
    ],
    "lastDbUpdateTime": 1767783708328
  },
  "quotaUsed": 1,
  "quotaUsedTotal": 1,
  "remainingQuota": -1,
  "traceId": "4e143c01006170d2ff95f86e5aaeb400",
  "timestamp": 1767928263490,
  "errorCode": "",
  "errorDescription": "",
  "success": true
}

Authorizations

api-key
string
header
required

The valid CreatorDB API key for authentication.

Query Parameters

uniqueId
string
required

Instagram account ID. Accepts instagram or @instagram format (@ is stripped automatically).

Required string length: 1 - 31
Pattern: ^@?[a-zA-Z0-9._]+$
Example:

"instagram"

Response

Instagram creator profile information returned successfully.

data
object
required

Profile information of the specified Instagram creator.

traceId
string
required

Unique trace ID for each request.

Example:

"f8e4a3b2c1d0e9f8a7b6c5d4e3f2a1b0"

timestamp
integer
required

Time the response was generated, represented as a Unix timestamp in milliseconds.

Example:

1750732453635

errorCode
string
required

Error code returned if the request fails. Empty if the request is successful.

Example:

""

errorDescription
string
required

Description of the error. Empty if the request is successful.

Example:

""

success
boolean
required

true if the request is successful.

Example:

true

Last modified on March 20, 2026